/*
 * @(#)src/classes/sov/org/omg/CORBA/Bounds.java, orb-api, hs131, 20030321 1.5.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1997-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */
 
/*
 * @(#)Bounds.java	1.8 98/09/10
 *
 */

/**
 * A user exception thrown when a parameter is not within
 * the legal bounds for the object that a method is trying
 * to access.
 *
 * @see <A href="../guide/idl/jidlExceptions.html">documentation on
 * Java&nbsp;IDL exceptions</A>
 */

package org.omg.CORBA;

public final class Bounds extends org.omg.CORBA.UserException {

    /**
     * Constructs an <code>Bounds</code> with no specified detail message. 
     */
    public Bounds() {
	super();
    }

    /**
     * Constructs an <code>Bounds</code> with the specified detail message. 
     *
     * @param   reason   the detail message.
     */
    public Bounds(String reason) {
	super(reason);
    }
}
