/*
 * @(#)src/classes/sov/org/omg/CORBA/ServiceInformation.java, orb-api, hs131, 20030321 1.4.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1998-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */
 
/*
 * @(#)ServiceInformation.java	1.3 98/10/11
 *
 */

package org.omg.CORBA;


/** ServiceInformation is an IDL struct in the CORBA module.
 *  It stores information about a CORBA service available in the
 *  ORB implementation. It is obtained from the ORB.get_service_information
 *  method.
 */

public final class ServiceInformation implements org.omg.CORBA.portable.IDLEntity
{
    public int[] service_options;
    public org.omg.CORBA.ServiceDetail[] service_details;

    public ServiceInformation() { }

    public ServiceInformation(int[] __service_options,
			      org.omg.CORBA.ServiceDetail[] __service_details)
    {
        service_options = __service_options;
        service_details = __service_details;
    }
}

